# Uses of Interface
org.opensaml.xacml.policy.AttributeValueType

Packages that use AttributeValueType
Package
Description
org.opensaml.xacml.policy
XMLObject interfaces for XACML policy schema.
org.opensaml.xacml.policy.impl
XMLObject provider implementation classes for XACML policy schema.

## Uses of AttributeValueType in org.opensaml.xacml.policy

Subinterfaces of AttributeValueType in org.opensaml.xacml.policy
Modifier and Type
Interface
Description
`interface`
`AttributeAssignmentType`
XACML AttributeAssignment schema type.
Methods in org.opensaml.xacml.policy that return AttributeValueType
Modifier and Type
Method
Description
`AttributeValueType`
ActionMatchType.`getAttributeValue()`
Gets the attribute value for this match.
`AttributeValueType`
CombinerParameterType.`getAttributeValue()`
Gets the attribute value type for this parameter.
`AttributeValueType`
EnvironmentMatchType.`getAttributeValue()`
Gets the attribute value for this match.
`AttributeValueType`
ResourceMatchType.`getAttributeValue()`
Gets the attribute value for this match.
`AttributeValueType`
SubjectMatchType.`getAttributeValue()`
Gets the attribute value for this match.
Methods in org.opensaml.xacml.policy with parameters of type AttributeValueType
Modifier and Type
Method
Description
`void`
ActionMatchType.`setAttributeValue(AttributeValueType value)`
Sets the attribute value for this match.
`void`
CombinerParameterType.`setAttributeValue(AttributeValueType value)`
Sets the attribute value type for this parameter.
`void`
EnvironmentMatchType.`setAttributeValue(AttributeValueType value)`
Sets the attribute value for this match.
`void`
ResourceMatchType.`setAttributeValue(AttributeValueType value)`
Sets the attribute value for this match.
`void`
SubjectMatchType.`setAttributeValue(AttributeValueType value)`
Sets the attribute value for this match.

## Uses of AttributeValueType in org.opensaml.xacml.policy.impl

Classes in org.opensaml.xacml.policy.impl that implement AttributeValueType
Modifier and Type
Class
Description
`class`
`AttributeAssignmentTypeImpl`
Implementation for `AttributeAssignmentType`.
`class`
`AttributeValueTypeImpl`
Implementation of `AttributeValueType`.
Fields in org.opensaml.xacml.policy.impl declared as AttributeValueType
Modifier and Type
Field
Description
`private AttributeValueType`
ActionMatchTypeImpl.`attributeValue`
Match's attribute value.
`private AttributeValueType`
EnvironmentMatchTypeImpl.`attributeValue`
Match's attribute value.
`private AttributeValueType`
ResourceMatchTypeImpl.`attributeValue`
Match's attribute value.
`private AttributeValueType`
SubjectMatchTypeImpl.`attributeValue`
Match's attribute value.
`private AttributeValueType`
CombinerParameterTypeImpl.`value`
Values.
Methods in org.opensaml.xacml.policy.impl that return AttributeValueType
Modifier and Type
Method
Description
`AttributeValueType`
AttributeValueTypeImplBuilder.`buildObject()`
Builds a XACMLObject using the default name and namespace information provided XACML specifications.
`AttributeValueType`
AttributeValueTypeImplBuilder.`buildObject(String namespaceURI, String localName, String namespacePrefix)`
Creates an XMLObject with a given fully qualified name.
`AttributeValueType`
ActionMatchTypeImpl.`getAttributeValue()`
Gets the attribute value for this match.
`AttributeValueType`
CombinerParameterTypeImpl.`getAttributeValue()`
Gets the attribute value type for this parameter.
`AttributeValueType`
EnvironmentMatchTypeImpl.`getAttributeValue()`
Gets the attribute value for this match.
`AttributeValueType`
ResourceMatchTypeImpl.`getAttributeValue()`
Gets the attribute value for this match.
`AttributeValueType`
SubjectMatchTypeImpl.`getAttributeValue()`
Gets the attribute value for this match.
Methods in org.opensaml.xacml.policy.impl with parameters of type AttributeValueType
Modifier and Type
Method
Description
`void`
ActionMatchTypeImpl.`setAttributeValue(AttributeValueType value)`
Sets the attribute value for this match.
`void`
CombinerParameterTypeImpl.`setAttributeValue(AttributeValueType newValue)`
Sets the attribute value type for this parameter.
`void`
EnvironmentMatchTypeImpl.`setAttributeValue(AttributeValueType value)`
Sets the attribute value for this match.
`void`
ResourceMatchTypeImpl.`setAttributeValue(AttributeValueType value)`
Sets the attribute value for this match.
`void`
SubjectMatchTypeImpl.`setAttributeValue(AttributeValueType value)`
Sets the attribute value for this match.